﻿@model  ProgramCreateEditModelStep4

@{
    Layout = null;
}
<div class="view-container">
    <div class="title-bar">

        <div ng-hide="agreementConfirmed" class="back">
            <a class="action" ui-sref='ProgramAddEditStep3({seasonDomain: MC.stateParams.seasonDomain, programType:MC.stateParams.programType, programId:MC.stateParams.programId})'>
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>

        <div class="title">
            <h1 ng-if="Model.SaveType == 'Draft'">
                Add ({{Model.Name}})
            </h1>

            <h1 ng-if="Model.SaveType == 'Publish'">
                Edit ({{Model.Name}})
            </h1>

        </div>
        <div class="actions">
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>

    <nav class="step-navigator breadcrumbs" ng-include src="'/Dashboard/_ProgramAddEditStepNavigation'"></nav>
    <div>
        <div ng-hide="agreementConfirmed">
            <fieldset ng-show="Model.IsPartnerProvider">
                <legend>Custom fields</legend>
                <label>Commission rate</label>
                <div class="input-control text" data-role="input-control">

                    <select chosen ng-model="@Html.Ang(m => m.PartnerCommisionRate)"
                            name="Category" data-placeholder="Select commission rate"
                            ng-options="comrate for comrate in commisionRateRange"></select>
                </div>


                <label for="@Html.Ang(m => m.PartnerNoshowpenalty)">No-show penalty</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PartnerNoshowpenalty)>
                    <input type="text" autocomplete="off" class="k-textbox" ng-model="@Html.Ang(m => m.PartnerNoshowpenalty)" @Html.AngTooltipValidationFor(model => model.PartnerNoshowpenalty) />
                </div>
                <label for="@Html.Ang(m => m.PartnerLateCheckInPenalty)">Late check-in penalty</label>
                <div class="input-control text" data-role="input-control" @Html.AngValidationClassFor(model => model.PartnerLateCheckInPenalty)>
                    <input type="text" autocomplete="off" class="k-textbox" ng-model="@Html.Ang(m => m.PartnerLateCheckInPenalty)" @Html.AngTooltipValidationFor(model => model.PartnerLateCheckInPenalty) />
                </div>
            </fieldset>
        </div>
        <div ng-hide="agreementConfirmed" >
            <fieldset ng-show="Model.IsPartnerProvider">
                <div ng-if="Model.HasPTAFee">
                    <label>PTA fee</label>
                    <div class="price-box">
                        <div class="input-control text price place-left" data-role="input-control" data-sign="$">
                            <input ng-model="@Html.Ang(m => m.PTAFee)" type="text" />
                        </div>
                    </div>
                </div>

                <div  ng-if="Model.HasGenerationFee">
                    <div class="clearfix">
                        <label>Lead generation</label>
                        <div class="price-box">
                            <div class="input-control text price place-left" data-role="input-control" data-sign="%">
                                <input ng-model="@Html.Ang(m => m.LeadGenerationFee)" type="text" />
                            </div>
                        </div>
                    </div>
                </div>



            </fieldset>
        </div>
        <fieldset ng-hide="agreementConfirmed">
            <legend>Final checks</legend>
            <span class="message">Please check to ensure all the program information is correct before you continue.</span>
            <div class="input-control checkbox" data-role="input-control">
                <label>
                    <input ng-model="Model.IsConfiremed" ng-checked="Model.IsConfiremed" type="checkbox">
                    <span class="check"></span>
                    I am good to go, proceed.
                </label>
            </div>
        </fieldset>
        <div ng-show="agreementConfirmed">
            <h2 class="fg-green margin-bottom20"><i class="icon-checkmark on-left-more"></i>Congrats, you have added a new program to your season.</h2>
            <fieldset>
                <legend>What do you want to do next?</legend>
                <h3><a ui-sref="PaymentPlans({seasonDomain:MC.stateParams.seasonDomain})"><i class="jbi-cash on-left text-bold"></i>Setup deposit and payment plans</a></h3>
                <h3><a ui-sref="Discounts({seasonDomain:MC.stateParams.seasonDomain})"><i class="jbi-percent on-left"></i>Setup discounts</a></h3>
                <h3><a ui-sref="Coupons({seasonDomain:MC.stateParams.seasonDomain})"><i class="jbi-ticket on-left"></i>Setup coupons and promotions</a></h3>
                <h3><a ui-sref="RegistrationEmailTemplateDesigner({seasonDomain:MC.stateParams.seasonDomain})"><i class="jbi-color-palette on-left"></i>Customize the registration email template</a></h3>
                @*<h4><a><i class="icon-user-2 on-left"></i>Restrict registration to some users</a></h4>*@
            </fieldset>
        </div>
    </div>

    <hr />

    <a ng-hide="agreementConfirmed" class="place-left button link" ui-sref='ProgramAddEditStep3({seasonDomain: MC.stateParams.seasonDomain,programId:MC.stateParams.programType, programId:MC.stateParams.programId})'>Back</a>

    <button class="success place-right button large" ng-hide="agreementConfirmed" ng-click="saveStep4()" ng-disabled="!Model.IsConfiremed">Complete</button>
    <button class="link place-right button large" ui-sref="Programs({seasonDomain: MC.stateParams.seasonDomain })" ng-show="agreementConfirmed">View all programs</button>
    <div class="clearfix"></div>
</div>